using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MAMEInteropTest
{
    public partial class Form1 : Form
    {
        MAMEInterop MAME = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MAME = new MAMEInterop(this.textBox1);
            MAME.Initialize(2, "C#Test2");
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            MAME.Dispose();
        }
    }
}